@import url('https://fonts.googleapis.com/css2?family=Jersey+15&family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap');

:root {
    --primary-color: #FF725E;
    --mid-primary: #FF9D8F;
    --secondary-color: #263238;
    --light-color: #F5F5F5;
    --white-color: #FFFFFF;
    --dark-grey: #2C2C2C;
    --light-grey: #E1E1E1;
    --mid-grey: #757575;
    --mid-secondary: #556770;
    --dark-secondary: #838d92;
    --primary-font: "Plus Jakarta Sans", serif;
    --logo-font: "Jersey 15", serif;
}



*, *::after, *::before {
    margin: 0;
    padding: 0;
}

img {
    width: 100%;
    height: auto;
    display: block;
}

body {
    font-family: var(--primary-font);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.6;
    color: var(--secondary-color);
}

.container {
    width: 1120px;
    max-width: 90%;
    margin: 0 auto;
}

section, footer {
    padding: 3rem 0;
}

.btn {
    background-color: var(--primary-color);
    display: inline-block;
    padding: 0.9rem 2rem 1rem 2rem;
    color: var(--white-color);
    text-decoration: none;
    font-size: 0.850rem;
    font-weight: 600;
    border-radius: 0.250rem;
}

.header {
    position: sticky;
    top: 0;
    padding: 1rem 0;
    border-bottom: 1px solid var(--light-grey);
    background: transparent;
    backdrop-filter: blur(10px);
}

.header__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    font-family: var(--logo-font);
    text-transform: uppercase;
    color: var(--primary-color);
}

.nav__toggle {
    width: 1.2rem;
    height: 1.2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: all .3s ease-in-out;
    cursor: pointer;
}

.nav__toggle div {
    display: block;
    width: 25px;
    height: 3px;
    background-color: var(--dark-grey);
    border-radius: 1px;
    transition: all .3s ease-in-out;
}

.nav {
    position: fixed;
    top: 84.19px;
    left: 100%;
    width: 100%;
    height: calc(100vh - 84.19px);
    background-color: var(--primary-color);
    text-align: center;
    padding: 2rem 0;
    transition: all 0.3s;
    z-index: 1;
}

.nav__list {
    list-style: none;
}

.nav__item {
    padding: 1rem 0;;
}

.nav__item a {
    color: var(--white-color);
    text-decoration: none;
    font-size: 1.5rem;
}

.show {
    left: 0;
}

@media screen and (min-width: 768px) {
    .nav {
        position: initial;
        width: initial;
        height: initial;
        padding: initial;
        background-color: initial;
    }

    .nav__toggle {
        display: none;
    }

    .nav__list {
        display: flex;
        flex-wrap: wrap;
    }

    .nav__item {
        padding: 0.8rem 2rem;
    }

    .nav__item a {
        color: var(--secondary-color);
        font-size: 1rem;
        
    }

    .nav__item:last-child a {
        background-color: var(--primary-color);
        border-radius: 0.250rem;
        color: var(--white-color);
        font-size: 0.850rem;
        margin-bottom: 0.085rem;
        padding: 0.5rem 1rem;
    }
}

.hero {
    padding: 2rem 0 0 0;
    border-bottom: 1px solid var(--light-grey)
}

.hero__wrapper {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
}

.hero__achieve {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.250rem;
    padding-bottom: 1rem;
}

.hero__stars {
    display: flex;
    gap: -1rem;
}

.hero__stars img {
    width: 1rem;
    height: 1rem;
}

.hero__statement {
    font-size: 0.6rem;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    color: var(--mid-grey);
}

.hero__title {
    font-size: 2rem;
    line-height: 2.6rem;
    font-weight: 400;
    padding-bottom: 1rem;
}

.hero__title span {
    font-weight: 600;
}

.hero__text {
    padding-bottom: 1rem;
}

.hero__media img {
    margin-bottom: -0.980rem;
}

@media screen and (min-width: 768px) {
    .hero {
        padding-top: 4rem;
    }
    .hero__wrapper {
        grid-template-columns: 1fr 1.8fr;
        align-items: center;
    }

    .hero__achieve {
        flex-direction: row;
        align-items: center;
        gap: 0.5rem;
    }

    .hero__stars img {
        width: 1.3rem;
        height: 1.3rem;
    }

    .hero__statement {
        font-size: 0.7rem;
    }

    .hero__media {
        margin-bottom: -1.5rem;
        margin-right: -3rem;
    }

    .hero__media img {
        margin-bottom: -0.800rem;
    }
}

.features__wrapper {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

.feature__title {
    color: var(--primary-color);
}

@media screen and (min-width: 768px) {
    .features {
        padding: 0;
    }
    .features__wrapper {
        grid-template-columns: repeat(4, 1fr);
        border-right: 1px solid var(--light-grey);
    }

    .feature__item {
        padding: 4rem 2rem;
        border-left: 1px solid var(--light-grey);
    }
}

.services {
    padding: 4rem 0;
    background-color: var(--secondary-color);
    color: var(--light-grey);
}

.services__heading {
    padding-bottom: 0.5rem;
}

.services__leading {
    padding-bottom: 1rem;
    font-size: 1.25rem;
}

.services__list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
}

.services__item {
    border: 1px solid var(--mid-primary);
    padding: 1rem;
    border-radius: 0.250rem;
}

.services__item img {
    width: 30%;
    padding-bottom: 1rem;
}

.services__title {
    color: var(--mid-primary);
    font-size: 1.2rem;
    padding-bottom: 0.6rem;
}

@media screen and (min-width: 768px) {
    .services__list {
        grid-template-columns: repeat(3, 1fr);
    }
}

.portfolio__heading {
    padding-bottom: 1rem;
}

.portfolio__leading {
    font-size: 1.25rem;
    padding-bottom: 2rem;
}

.portfolio__list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
}

.portfolio__title {
    text-transform: uppercase;
    color: var(--mid-grey);
    padding-bottom: 0.5rem;
    font-size: 0.725rem;
    font-weight: 800;
    letter-spacing: 0.1rem;
    text-decoration: underline;
}

@media screen and (min-width: 768px) {
    .portfolio__list {
        grid-template-columns: repeat(2, 1fr);
    }
}

.cta {
    text-align: center;
    background-color: var(--mid-primary);
}

.cta__title {
    color: var(--secondary-color);
    padding-bottom: 1rem;
}

.cta__text {
    padding-bottom: 1rem;
}

.cta__btn {
    background-color: var(--secondary-color);
}

.footer {
    background-color: var(--secondary-color);
    color: var(--dark-secondary);
    padding-bottom: 0;
}

.footer__contact {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.footer__wrapper {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding-bottom: 2rem;
}

.footer__about,
.footer__nav {
    border-bottom: 1px solid var(--mid-secondary);
    padding-bottom: 2rem;
}

.footer__nav-list {
    margin-left: 1.5rem;
}

.footer__nav-item a {
    color: var(--dark-secondary);
}

.footer__contact-address {
    display: flex;
    gap: 0.5rem;
    align-items: start;
}

.footer__contact-title {
    color: var(--light-grey);
}

.footer__contact-address img {
    width: 24px;
}

.footer__contact-phone {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.footer__contact-phone img {
    width: 24px
}

.footer__contact-email {
    display: flex;
    gap: 0.5rem;
    align-items: start;
}

.footer__contact-email img {
    width: 24px;
}

.footer__contact-social {
    display: flex;
    gap: 0.250rem;
    align-items: center;
}

.footer__contact-social a {
    width: 32px;
}

.footer__bottom {
    text-align: center;
    padding: 2rem 0;
    border-top: 1px solid var(--mid-secondary);
    font-size: 0.750rem;
}

.copyrights a {
    color: var(--dark-secondary);
}

@media screen and (min-width: 768px) {
    .footer__wrapper {
        flex-direction: row;
        flex: 1;
        gap: 4rem;
    }
    .footer__about,
    .footer__nav {
        border: none;
    }
    .footer__about,
    .footer__contact {
        flex: 2;
    }

    .footer__nav {
        flex: 1;
    }
}

